//
/*
 * Copyright (c) 2025 BWI GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import Foundation
import MatrixSDK


// bwi #7576 username is used in several places, create a helper
// we need only the username part of the matrix id
extension MXUser {
    func username () -> String? {
        if let fullID = self.userId {
            let withoutAt = fullID.hasPrefix("@") ? String(fullID.dropFirst()) : fullID
            if let username = withoutAt.split(separator: ":").first {
                return String(username)
            }
        }
        return nil
    }
}
